import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconLeisure as IconLeisureClass } from "../../../../components/icon/icons/leisure.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconLeisure = (props) => {
  IconLeisureClass.define();
  const JSXElement = getReactComponent("gds-icon-leisure");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconLeisure.displayName = "IconLeisure";
export {
  IconLeisure
};
